Skip to main content
GET
/
agents
List agents
curl --request GET \
  --url https://api.weav.com/v1/agents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "avatar_url": "<string>",
      "max_messages_per_session": 123,
      "tone": "<string>",
      "response_length": "<string>",
      "is_active": true,
      "is_copilot": true,
      "prohibited_phrases": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "phrase": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "escalation_rules": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "channel": "<string>",
          "rule": "<string>",
          "escalate_to": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "links": {},
  "meta": {}
}

Authorizations

Authorization
string
header
required

Workspace API token. Include abilities external-api:read and/or external-api:write.

Query Parameters

per_page
integer
default:15
Required range: 1 <= x <= 100
page
integer
default:1
Required range: x >= 1

Response

Paginated agents

data
object[]
meta
object